<?php
$tdatapdfler = array();
$tdatapdfler[".searchableFields"] = array();
$tdatapdfler[".ShortName"] = "pdfler";
$tdatapdfler[".OwnerID"] = "";
$tdatapdfler[".OriginalTable"] = "pdfler";


$tdatapdfler[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatapdfler[".originalPagesByType"] = $tdatapdfler[".pagesByType"];
$tdatapdfler[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatapdfler[".originalPages"] = $tdatapdfler[".pages"];
$tdatapdfler[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatapdfler[".originalDefaultPages"] = $tdatapdfler[".defaultPages"];

//	field labels
$fieldLabelspdfler = array();
$fieldToolTipspdfler = array();
$pageTitlespdfler = array();
$placeHolderspdfler = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelspdfler["English"] = array();
	$fieldToolTipspdfler["English"] = array();
	$placeHolderspdfler["English"] = array();
	$pageTitlespdfler["English"] = array();
	$fieldLabelspdfler["English"]["aciklama"] = "Aciklama";
	$fieldToolTipspdfler["English"]["aciklama"] = "";
	$placeHolderspdfler["English"]["aciklama"] = "";
	$fieldLabelspdfler["English"]["aktif"] = "Aktif";
	$fieldToolTipspdfler["English"]["aktif"] = "";
	$placeHolderspdfler["English"]["aktif"] = "";
	$fieldLabelspdfler["English"]["baslik"] = "Baslik";
	$fieldToolTipspdfler["English"]["baslik"] = "";
	$placeHolderspdfler["English"]["baslik"] = "";
	$fieldLabelspdfler["English"]["dosya_adi"] = "Dosya Adi";
	$fieldToolTipspdfler["English"]["dosya_adi"] = "";
	$placeHolderspdfler["English"]["dosya_adi"] = "";
	$fieldLabelspdfler["English"]["eklenme_tarihi"] = "Eklenme Tarihi";
	$fieldToolTipspdfler["English"]["eklenme_tarihi"] = "";
	$placeHolderspdfler["English"]["eklenme_tarihi"] = "";
	$fieldLabelspdfler["English"]["pdf_id"] = "Pdf Id";
	$fieldToolTipspdfler["English"]["pdf_id"] = "";
	$placeHolderspdfler["English"]["pdf_id"] = "";
	$fieldLabelspdfler["English"]["toplam_sayfa"] = "Toplam Sayfa";
	$fieldToolTipspdfler["English"]["toplam_sayfa"] = "";
	$placeHolderspdfler["English"]["toplam_sayfa"] = "";
	if (count($fieldToolTipspdfler["English"]))
		$tdatapdfler[".isUseToolTips"] = true;
}


	$tdatapdfler[".NCSearch"] = true;



$tdatapdfler[".shortTableName"] = "pdfler";
$tdatapdfler[".nSecOptions"] = 0;

$tdatapdfler[".mainTableOwnerID"] = "";
$tdatapdfler[".entityType"] = 0;
$tdatapdfler[".connId"] = "onlineoku_at_localhost";


$tdatapdfler[".strOriginalTableName"] = "pdfler";

	



$tdatapdfler[".showAddInPopup"] = false;

$tdatapdfler[".showEditInPopup"] = false;

$tdatapdfler[".showViewInPopup"] = false;

$tdatapdfler[".listAjax"] = false;
//	temporary
//$tdatapdfler[".listAjax"] = false;

	$tdatapdfler[".audit"] = false;

	$tdatapdfler[".locking"] = false;


$pages = $tdatapdfler[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapdfler[".edit"] = true;
	$tdatapdfler[".afterEditAction"] = 1;
	$tdatapdfler[".closePopupAfterEdit"] = 1;
	$tdatapdfler[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapdfler[".add"] = true;
$tdatapdfler[".afterAddAction"] = 1;
$tdatapdfler[".closePopupAfterAdd"] = 1;
$tdatapdfler[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapdfler[".list"] = true;
}



$tdatapdfler[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapdfler[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapdfler[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapdfler[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapdfler[".printFriendly"] = true;
}



$tdatapdfler[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapdfler[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapdfler[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapdfler[".isUseAjaxSuggest"] = true;





$tdatapdfler[".ajaxCodeSnippetAdded"] = false;

$tdatapdfler[".buttonsAdded"] = false;

$tdatapdfler[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapdfler[".isUseTimeForSearch"] = false;


$tdatapdfler[".badgeColor"] = "8FBC8B";


$tdatapdfler[".allSearchFields"] = array();
$tdatapdfler[".filterFields"] = array();
$tdatapdfler[".requiredSearchFields"] = array();

$tdatapdfler[".googleLikeFields"] = array();
$tdatapdfler[".googleLikeFields"][] = "aciklama";
$tdatapdfler[".googleLikeFields"][] = "aktif";
$tdatapdfler[".googleLikeFields"][] = "baslik";
$tdatapdfler[".googleLikeFields"][] = "dosya_adi";
$tdatapdfler[".googleLikeFields"][] = "eklenme_tarihi";
$tdatapdfler[".googleLikeFields"][] = "pdf_id";
$tdatapdfler[".googleLikeFields"][] = "toplam_sayfa";



$tdatapdfler[".tableType"] = "list";

$tdatapdfler[".printerPageOrientation"] = 0;
$tdatapdfler[".nPrinterPageScale"] = 100;

$tdatapdfler[".nPrinterSplitRecords"] = 40;

$tdatapdfler[".geocodingEnabled"] = false;










$tdatapdfler[".pageSize"] = 20;

$tdatapdfler[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatapdfler[".strOrderBy"] = $tstrOrderBy;

$tdatapdfler[".orderindexes"] = array();


$tdatapdfler[".sqlHead"] = "SELECT aciklama,  	aktif,  	baslik,  	dosya_adi,  	eklenme_tarihi,  	pdf_id,  	toplam_sayfa";
$tdatapdfler[".sqlFrom"] = "FROM pdfler";
$tdatapdfler[".sqlWhereExpr"] = "";
$tdatapdfler[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapdfler[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapdfler[".arrGroupsPerPage"] = $arrGPP;

$tdatapdfler[".highlightSearchResults"] = true;

$tableKeyspdfler = array();
$tableKeyspdfler[] = "pdf_id";
$tdatapdfler[".Keys"] = $tableKeyspdfler;


$tdatapdfler[".hideMobileList"] = array();




//	aciklama
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "aciklama";
	$fdata["GoodName"] = "aciklama";
	$fdata["ownerTable"] = "pdfler";
	$fdata["Label"] = GetFieldLabel("pdfler","aciklama");
	$fdata["FieldType"] = 201;


	
	
			

		$fdata["strField"] = "aciklama";

		$fdata["sourceSingle"] = "aciklama";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "aciklama";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapdfler["aciklama"] = $fdata;
		$tdatapdfler[".searchableFields"][] = "aciklama";
//	aktif
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "aktif";
	$fdata["GoodName"] = "aktif";
	$fdata["ownerTable"] = "pdfler";
	$fdata["Label"] = GetFieldLabel("pdfler","aktif");
	$fdata["FieldType"] = 16;


	
	
			

		$fdata["strField"] = "aktif";

		$fdata["sourceSingle"] = "aktif";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "aktif";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapdfler["aktif"] = $fdata;
		$tdatapdfler[".searchableFields"][] = "aktif";
//	baslik
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "baslik";
	$fdata["GoodName"] = "baslik";
	$fdata["ownerTable"] = "pdfler";
	$fdata["Label"] = GetFieldLabel("pdfler","baslik");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "baslik";

		$fdata["sourceSingle"] = "baslik";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "baslik";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapdfler["baslik"] = $fdata;
		$tdatapdfler[".searchableFields"][] = "baslik";
//	dosya_adi
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "dosya_adi";
	$fdata["GoodName"] = "dosya_adi";
	$fdata["ownerTable"] = "pdfler";
	$fdata["Label"] = GetFieldLabel("pdfler","dosya_adi");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "dosya_adi";

		$fdata["sourceSingle"] = "dosya_adi";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dosya_adi";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapdfler["dosya_adi"] = $fdata;
		$tdatapdfler[".searchableFields"][] = "dosya_adi";
//	eklenme_tarihi
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "eklenme_tarihi";
	$fdata["GoodName"] = "eklenme_tarihi";
	$fdata["ownerTable"] = "pdfler";
	$fdata["Label"] = GetFieldLabel("pdfler","eklenme_tarihi");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "eklenme_tarihi";

		$fdata["sourceSingle"] = "eklenme_tarihi";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "eklenme_tarihi";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapdfler["eklenme_tarihi"] = $fdata;
		$tdatapdfler[".searchableFields"][] = "eklenme_tarihi";
//	pdf_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "pdf_id";
	$fdata["GoodName"] = "pdf_id";
	$fdata["ownerTable"] = "pdfler";
	$fdata["Label"] = GetFieldLabel("pdfler","pdf_id");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "pdf_id";

		$fdata["sourceSingle"] = "pdf_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pdf_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapdfler["pdf_id"] = $fdata;
		$tdatapdfler[".searchableFields"][] = "pdf_id";
//	toplam_sayfa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "toplam_sayfa";
	$fdata["GoodName"] = "toplam_sayfa";
	$fdata["ownerTable"] = "pdfler";
	$fdata["Label"] = GetFieldLabel("pdfler","toplam_sayfa");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "toplam_sayfa";

		$fdata["sourceSingle"] = "toplam_sayfa";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "toplam_sayfa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapdfler["toplam_sayfa"] = $fdata;
		$tdatapdfler[".searchableFields"][] = "toplam_sayfa";


$tables_data["pdfler"]=&$tdatapdfler;
$field_labels["pdfler"] = &$fieldLabelspdfler;
$fieldToolTips["pdfler"] = &$fieldToolTipspdfler;
$placeHolders["pdfler"] = &$placeHolderspdfler;
$page_titles["pdfler"] = &$pageTitlespdfler;


changeTextControlsToDate( "pdfler" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["pdfler"] = array();
//	pdf_sayfalari
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="pdf_sayfalari";
		$detailsParam["dOriginalTable"] = "pdf_sayfalari";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "pdf_sayfalari";
	$detailsParam["dCaptionTable"] = GetTableCaption("pdf_sayfalari");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["pdfler"][$dIndex] = $detailsParam;

	
		$detailsTablesData["pdfler"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["pdfler"][$dIndex]["masterKeys"][]="pdf_id";

				$detailsTablesData["pdfler"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["pdfler"][$dIndex]["detailKeys"][]="pdf_id";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["pdfler"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_pdfler()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "aciklama,  	aktif,  	baslik,  	dosya_adi,  	eklenme_tarihi,  	pdf_id,  	toplam_sayfa";
$proto0["m_strFrom"] = "FROM pdfler";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "aciklama",
	"m_strTable" => "pdfler",
	"m_srcTableName" => "pdfler"
));

$proto6["m_sql"] = "aciklama";
$proto6["m_srcTableName"] = "pdfler";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "aktif",
	"m_strTable" => "pdfler",
	"m_srcTableName" => "pdfler"
));

$proto8["m_sql"] = "aktif";
$proto8["m_srcTableName"] = "pdfler";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "baslik",
	"m_strTable" => "pdfler",
	"m_srcTableName" => "pdfler"
));

$proto10["m_sql"] = "baslik";
$proto10["m_srcTableName"] = "pdfler";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "dosya_adi",
	"m_strTable" => "pdfler",
	"m_srcTableName" => "pdfler"
));

$proto12["m_sql"] = "dosya_adi";
$proto12["m_srcTableName"] = "pdfler";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "eklenme_tarihi",
	"m_strTable" => "pdfler",
	"m_srcTableName" => "pdfler"
));

$proto14["m_sql"] = "eklenme_tarihi";
$proto14["m_srcTableName"] = "pdfler";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "pdf_id",
	"m_strTable" => "pdfler",
	"m_srcTableName" => "pdfler"
));

$proto16["m_sql"] = "pdf_id";
$proto16["m_srcTableName"] = "pdfler";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "toplam_sayfa",
	"m_strTable" => "pdfler",
	"m_srcTableName" => "pdfler"
));

$proto18["m_sql"] = "toplam_sayfa";
$proto18["m_srcTableName"] = "pdfler";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "pdfler";
$proto21["m_srcTableName"] = "pdfler";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "aciklama";
$proto21["m_columns"][] = "aktif";
$proto21["m_columns"][] = "baslik";
$proto21["m_columns"][] = "dosya_adi";
$proto21["m_columns"][] = "eklenme_tarihi";
$proto21["m_columns"][] = "pdf_id";
$proto21["m_columns"][] = "toplam_sayfa";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "pdfler";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "pdfler";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="pdfler";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_pdfler = createSqlQuery_pdfler();


	
		;

							

$tdatapdfler[".sqlquery"] = $queryData_pdfler;



$tdatapdfler[".hasEvents"] = false;

?>